<?php
if ("1" == $_POST['art_take'])
{
	include __DIR__ . "/art_save.php";
}
if ("1" == $_POST['pos_save'])
{
	include __DIR__ . "/pos_save.php";
}
if ("1" == $_POST['art_pos_save'])
{
	include __DIR__ . "/pos_save.php";
	include __DIR__ . "/art_pos_save.php";
}
if ("1" == $_POST['pos_change'])
{
	include __DIR__ . "/pos_change.php";
}
if ("1" == $_POST['art_pos_change'])
{
	include __DIR__ . "/pos_change.php";
	include __DIR__ . "/art_pos_save.php";
}
if ("1" == $_POST['pos_delete'])
{
	include __DIR__ . "/pos_delete.php";
}

if (isset($_POST['A_Datum']))
{
	$nt = explode(".", $_POST['A_Datum']);
	$A_Datum = $nt['2'] . "-" . $nt['1'] . "-" . $nt['0'];
	if (3 != sizeof($nt))
	{
		echo "<h1>Bitte überprüfen Sie das Datumsformat bei der Eingabe!</h1>\n";
		echo "<h2>Das korrekte Datumsformat ist z.B.: \"25.7.2009\"!</h2>\n";
	}
	else
	{
		if (4 != strlen($nt['2']))
		{
			echo "<h1>Bitte überprüfen Sie das Datumsformat bei der Eingabe!</h1>\n";
			echo "<h2>Die Eingabe der Jahreszahl muss 4-stellig erfolgen!</h2>\n";
		}
		else
		{
			if (checkdate($nt['1'], $nt['0'], $nt['2']))
			{
				$temp = 1;
			}
		}
	}
}

if ("settings" == $_POST['action'])
{
	if ($temp)
	{
		$sql = 'UPDATE ' . PREFIX . '_Auftraege SET
					Kontakt_ID		= "' . $_POST['Kontakt_ID'] . '",
					Admin_ID		= "' . $_POST['Admin_ID'] . '",
					KfZ_ID		= "' . $_POST['KfZ_ID'] . '",
					Preis_aus_Pos	= "' . $_POST['Preis_aus_Pos'] . '",
					Auftrag_Preis	= "' . $_POST['Auftrag_Preis'] . '",
					MwSt			= "' . $_POST['MwSt'] . '",
					A_Datum			= "' . $A_Datum . '"
				WHERE
					(Jahr 		= "' . $Jahr . '"
				AND
					ID 			= "' . $ID . '");';
		$stmt = $db->prepare($sql);
		if (!$stmt)
		{
			die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
		}
		if (!$stmt->execute())
		{
			die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
		}
	}
}

$Max_Pos = 0;
$sql = "SELECT *, DATE_FORMAT(Datum, '%d.%m.%Y') AS Datum, DATE_FORMAT(A_Datum, '%d.%m.%Y') AS A_Datum FROM " . PREFIX . "_Auftraege WHERE (Jahr = \"" . $Jahr . "\" AND ID = \"" . $ID . "\");";
$result = $db->query($sql);
$nt = $result->fetch_assoc();
$sqlp = "SELECT * FROM " . PREFIX . "_Auftrag_Pos WHERE (Jahr = \"" . $Jahr . "\" AND Auftrag_ID = \"" . $ID . "\") ORDER BY Position ASC;";
$resultp = $db->query($sqlp);
$sqls = "SELECT Auftrag_ID, SUM(Anzahl * Preis) AS Summe FROM " . PREFIX . "_Auftrag_Pos WHERE (Jahr = \"" . $Jahr . "\" AND Auftrag_ID = \"" . $ID . "\") GROUP BY Auftrag_ID;";
$results = $db->query($sqls);
$nts = $results->fetch_assoc();

$sqlkn = "SELECT * FROM " . PREFIX . "_Kontakte ORDER BY Nachname ASC, Firma ASC";
$resultkn = $db->query($sqlkn);
$sqlan = "SELECT ID, Vorname, Nachname FROM Admin WHERE Firma_ID =\"" . PREFIX . "\" ORDER BY ID ASC";
$resultan = $db->query($sqlan);

$Text = $nt['Text'];

include __DIR__ . "/settings.php";

include __DIR__ . "/positions.php";

echo "	<tr>\n";
echo "		<td style=\"border: none;\">&nbsp;</td>\n";
echo "		<td style=\"border: none;\">&nbsp;</td>\n";
echo "		<td colspan=\"2\">Auftragspreis zzgl. " . $nt['MwSt'] . "% gesetzlicher MwSt.</td>\n";
echo "		<td>\n";
if (!$nt['Preis_aus_Pos'])
{
	$A_Preis = $nt['Auftrag_Preis'];
}
else
{
	$A_Preis = $nts['Summe'];
}
echo number_format($A_Preis, '2', ',', '.') . " &euro;\n";
echo "		</td>\n";
echo "	</tr>\n";
$MwSt = $A_Preis * ($nt['MwSt'] / 100);
echo "	<tr>\n";
echo "		<td style=\"border: none;\">&nbsp;</td>\n";
echo "		<td style=\"border: none;\">&nbsp;</td>\n";
echo "		<td colspan=\"2\">+ " . $nt['MwSt'] . "% gesetzlicher MwSt.</td>\n";
echo "		<td>" . number_format($MwSt, '2', ',', '.') . " &euro;</td>\n";
echo "	</tr>\n";
echo "	<tr>\n";
echo "		<td style=\"border: none;\">&nbsp;</td>\n";
echo "		<td style=\"border: none;\">&nbsp;</td>\n";
echo "		<td colspan=\"2\"><b>Gesamtpreis inkl. " . $nt['MwSt'] . "% gesetzlicher MwSt.</b></td>\n";
echo "		<td><b>" . number_format($A_Preis + $MwSt, '2', ',', '.') . " &euro;</b></td>\n";
echo "	</tr>\n";

echo "</table>\n";
echo "<br />\n";
echo "</fieldset>\n";

include __DIR__ . "/art_take.php";

if ($nt['Vorkasse'])
{
	echo "<p>Bitte überweisen Sie den vereinbarten Vorkasse-Betrag in Höhe von " . $ntvk['Preis'] . " bis zum " . $ntvk['Datum'] . " auf unser unten genanntes Konto.</p>\n";
}

include __DIR__ . '/sv_saved.php';